# Customize to fit your system

# paths
PREFIX      = /usr/local
CONFPREFIX  = ${PREFIX}/etc
MANPREFIX   = ${PREFIX}/share/man
SHAREPREFIX = ${PREFIX}/share

INCDIR      = ${PREFIX}/include
LIBDIR      = ${PREFIX}/lib
X11DIR      = /usr/X11R6

# includes and libs
INCLUDES    = -I. -I${INCDIR} -I/usr/include -I${X11DIR}/include
LIBS        = -L${LIBDIR} -L/usr/lib -lc -lm -L${X11DIR}/lib -lX11
DRAW        = xlib

# cairo support
#DRAW        = cairo
#CAIROFLAGS  = -lcairo
#CAIROINC    = -I/usr/include/cairo -I${INCDIR}/cairo

# str{l,n}{cat,cpy} support, if you have OpenBSD you can use strl*
STRLCPY     = strncpy
STRLCAT     = strncat
STRLFLAGS   = -DSTRLCPY=${STRLCPY} -DSTRLCAT=${STRLCAT}

# compiler
# Note: under Solaris add -D__EXTENSIONS__ to CFLAGS
CFLAGS      = -O0 -g -Wall -pedantic ${INCLUDES} ${STRLFLAGS} -DDRAW=\"${DRAW}\"
LDFLAGS     = -g ${LIBS}
#CFLAGS      = -Os ${INCLUDES} ${STRLFLAGS} -DDRAW=\"${DRAW}\"
#LDFLAGS     = ${LIBS}

# userland
AR          = ar cr
CC          = cc
CP          = cp -f
COMPRESS    = bzip2
INSTBIN     = ${CP}
INSTDATA    = ${CP}
MODBIN      = chmod 755
MODDATA     = chmod 444
#INSTBIN     = install -d -c -o root -g wheel -m 755
#INSTDATA    = install -d -c -o root -g wheel -m 444
MKDIR       = mkdir
RANLIB      = ranlib
RM          = rm -f
TAR         = tar
PYTHON      = python
SED         = sed
