#!/bin/sh

################################################################################
# Copyright (c) 2005 Anselm R. Garbe <garbeam at gmail dot com>
# Copyright (c) 2005 Georg Neis <georg@f-451.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
################################################################################

set -e

CHECKINTERVAL=5
NUMOFSCREENS=`xdpyinfo | grep 'number of screens' | awk '{print $4}'`

# start a wmii instance for every screen:
i=0
while [ $i -le $NUMOFSCREENS ]; do
    DISPLAY="`echo $DISPLAY | sed 's/\(.*\)\..*$/\1/'`.$i" wmii &
    eval pid_$i=$!
    i=`expr $i + 1`
done

# periodically check if the spawned processes are still running:
while sleep $CHECKINTERVAL; do
    dead=0
    i=0
    while [ $i -le $NUMOFSCREENS ]; do
        eval kill -s 0 \$pid_$i 2>/dev/null || dead=`expr $dead + 1`
        i=`expr $i + 1`
    done

    [ $dead -gt $NUMOFSCREENS ] && break  # all processes are dead
done
