/*
 * (C)opyright MMIV-MMV Anselm R. Garbe <garbeam at gmail dot com>
 * See LICENSE file for license details.
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <X11/Xlib.h>
#include <X11/Xatom.h>

#include "../version.h"

char *version[] =
{
    "wmiwarp - window manager improved warp - "VERSION"\n"
    " (C)opyright MMIV-MMV Anselm R. Garbe\n", 0
};

static void usage()
{
    fprintf(stderr,
            "usage: wmiwarp [-v] <x>,<y>\n"
            "       -v      version info\n");
    exit(1);
}

int main(int argc, char **argv) {
    Display *dpy;
    int x,y;

    /* command line args */
    if (argc != 2) usage();
    if (!strncmp(argv[1], "-v", 2)) {
        fprintf(stdout, "%s", version[0]);
        exit(0);
    }

    if (sscanf(argv[1], "%d,%d", &x, &y) != 2) usage();

    dpy = XOpenDisplay(0);
    XWarpPointer(dpy, None, RootWindow(dpy, DefaultScreen(dpy)),
                 0, 0, 0, 0, x, y);
    XCloseDisplay(dpy);
    return 0;
}
